| Home | Libraries | People | FAQ | More

## Class error

boost::program_options::error

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class error {
    public:
      // construct/copy/destruct
      error(const std::string &);
    };

## Description

Base class for all errors in the library.

### `error` public construct/copy/destruct

1.     error(const std::string & xwhat);